/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include "mpi_handler.h"
namespace parallel
{
	MPI_Handler::MPI_Handler()
	{

	}
	bool MPI_Handler::probeForMessage(int source)
	{
		int probeFlag=0;
		if(source==-1)
			MPI_Iprobe(MPI_ANY_SOURCE,0,MPI_COMM_WORLD,&probeFlag,&stat);
		else
			MPI_Iprobe(source,0,MPI_COMM_WORLD,&probeFlag,&stat);
		return probeFlag;

	}
}
